Exception.hpp File Reference
`#include <string>`
`#include <cerrno>`
`#include <ui-utilcpp/Text.hpp>`
Include dependency graph for Exception.hpp:
This graph shows which files directly or indirectly include this file:

## Data Structures

class | UI::Exception
| Generic exception class for namespace UI. More...
class | UI::CodeException< Code >
| Adding code facility to Exception. More...
class | UI::Util::Exception
| Generic exception class for namespace UI::Util. More...
class | UI::Util::CodeException< Code >
| Adding code facility to Exception. More...

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Macros

#define | UI_SOURCEDEBUG __FILE__ + std::string(":") + UI::Util::tos(__LINE__)
Throw macro shortcuts with automatic debug info and optimized errno handling.
#define | UI_THROW(desc)
| Throw non-code exception.
#define | UI_THROW_ERRNO(call)
| Throw non-code exception w/ errno handling.
#define | UI_THROW_CODE(code, desc)
| Throw code exception.
#define | UI_THROW_CODE_ERRNO(code, call)
| Throw code exception w/ errno handling.

## Macro Definition Documentation

## UI_THROW

#define UI_THROW | ( |  | desc | ) |

Value:
throw Exception(desc, UI_SOURCEDEBUG)

Throw non-code exception.

Referenced by UI::Util::QuotaInfo::file2fs(), UI::Util::Http::HeaderField::HeaderField(), UI::Util::QuotaInfo::QuotaInfo(), UI::Util::Http::RequestLine::RequestLine(), UI::Util::Http::StatusLine::StatusLine(), and UI::Util::Http::verifyVersion().

## UI_THROW_CODE

#define UI_THROW_CODE | ( |  | code,
|  |  | desc )

Value:
throw Exception(code, desc, UI_SOURCEDEBUG)

Throw code exception.

Referenced by UI::Util::INetSocket::bind(), UI::Util::Socket::bind(), UI::Util::INetSocket::connect(), UI::Util::Socket::connect(), UI::Util::UnixSocket::connect(), UI::Util::LibRecodeConverter::LibRecodeConverter(), UI::Util::Socket::listen(), UI::Util::IConvConverter::make(), UI::Util::LibRecodeConverter::make(), UI::Util::Rfc3490Utf8Converter::make(), UI::Util::MutexLock< Mutex >::MutexLock(), UI::Util::PosixRegex::PosixRegex(), UI::Util::FileDescriptor::read(), UI::Util::Socket::read(), UI::Util::PosixRegex::runMatch(), UI::Util::Socket::shutdown(), UI::Util::UnixSocket::unixBind(), UI::Util::FileDescriptor::write(), and UI::Util::Socket::write().

## UI_THROW_CODE_ERRNO

#define UI_THROW_CODE_ERRNO | ( |  | code,
|  |  | call )

Value:
{ int const myErrno(errno); throw Exception(code, call + Exception::Errno_, UI_SOURCEDEBUG, myErrno); }

Throw code exception w/ errno handling.

## UI_THROW_ERRNO

#define UI_THROW_ERRNO | ( |  | call | ) |

Value:
{ int const myErrno(errno); throw Exception(call + Exception::Errno_, UI_SOURCEDEBUG, myErrno); }

Throw non-code exception w/ errno handling.